Subject: Re: bug#50195: [PATCH] Adding diary-offset, a diary-sexp offsetting another diary-sexp.

From: Michael Heerdegen <[email-masked]>
Date: Wed, 25 Aug 2021 18:22:46 +0200

Eli Zaretskii <[email-masked]> writes:

> > That would not work, you would still get warnings about free variables.
>
> I don't understand.  This code did compile under dynamic-binding, so
> what warnings did you have in mind?

You can just try, they look like

| In diary-list-entries-1:
| diary-lib.el:731:17: Warning: reference to free variable ‘number’
| diary-lib.el:734:48: Warning: reference to free variable ‘list-only’

I just removed lexical-binding from the header and commented the
`with-no-warnings' call in `diary-list-entries-1'.

> > This case is a bit special and not directly related to lexical-binding
> > because these variables are just not declared with `defvar' (and I think
> > we don't want to introduce global variables like `date').
>
> You are saying this always emitted warnings?

AFAIR there have been problems with these variables and warnings about
them for a long time, and different measures to handle them.  I think
(I'm not sure) we had (defvar date) in the file in the past.  If you
want to have any useful information you must ask Stefan, he was the one
that worked on that.

Michael.